#ifndef CONSTANTS_H_LOADED
#define CONSTANTS_H_LOADED

namespace {
  
const double     beta_air( 3.69e-3 );
const double     kvisc_air( 1.35e-5 );
const double     univ_R( 8.314472);    // Universal gas constant
const double     molw_air( 0.029);     // Molecular weight of air (kg/mole)
const double     molw_wat( 0.018 );    // Molecular weight of water (kg/mole)
const double     air_R( univ_R / molw_air );   // Gas constant of air
const double     wat_R( univ_R / molw_wat );   // Gas constant ov water vapour
const double     wat_lh( 2.501e6 );    // Latent heat of liquid->vapour
const double     abs_zero_offset( 273.15 );  // Absolute zero (C)
const double     grav( 9.81 );         // Gravity constant m/s^2
const double     standard_Pair( 1.01325e5 );  // Standard air pressure
const double     sb_constant( 5.67e-8 );
const double     relative_emissivity( 0.98 );

} // anonymous namespace

#endif /* CONSTANTS_H_LOADED */

// Local Variables:
// mode: c++
// End:
