#include <cmath>

#include "residual.h"
#include "valueerror.h"
#include "functions.h"

Residual Residual::calculateResidual( const ValueError &y, const ValueError &x, const ValueError &a, const ValueError &b )
{
  double        r, dr;

  r = y.value - (a.value + b.value * x.value);
  dr = std::sqrt( square(a.error) + square(x.value * b.error) + square(x.error * b.value) + square(y.error) );

  return Residual( r, dr );
}

Residual Residual::calculateRatio( const ValueError &y, const ValueError &x, const ValueError &a )
{
  double         r, dr;

  r = (y.value - a.value) / x.value;
  dr = std::sqrt( square(y.error) + square(a.error) + square(((y.value - a.value) / x.value) * x.error) ) / std::abs( x.value );

  return Residual( r, dr );
}
