#ifndef RESIDUAL_H_LOADED
#define RESIDUAL_H_LOADED

#include "valueerror.h"

class Residual {
public:
  Residual( double r, double dr ) : r_r( r ), r_dr( dr ) {}

  inline double getValue( void ) const { return this->r_r; }
  inline double getError( void ) const { return this->r_dr; }
  inline double getMinimum( void ) const { return this->r_r - this->r_dr; }
  inline double getMaximum( void ) const { return this->r_r + this->r_dr; }

  static Residual calculateResidual( const ValueError &y, const ValueError &x, const ValueError &a, const ValueError &b );
  static Residual calculateRatio( const ValueError &y, const ValueError &x, const ValueError &a );

private:
  double    r_r, r_dr;
};

typedef Residual    Ratio;

#endif /* RESIDUAL_H_LOADED */

// Local Variables:
// mode: c++
// End:
