#ifndef VALUEERROR_H_LOADED
#define VALUEERROR_H_LOADED

#include <string>
#include <iostream>
#include <iomanip>

struct ValueError {
  inline ValueError( double val, double err, const std::string sep = " " ) : width( -1 ), value( val ), error( err ), sep( sep )
  {}

  inline ValueError( double val, double err, int width ) : width( width ), value( val ), error( err ), sep()
  {}

  int           width;
  double        value, error;
  std::string   sep;
};

inline std::ostream &operator<<( std::ostream &os, const ValueError &v )
{
  if( v.width < 0 )
    os << v.value << v.sep << v.error;
  else
    os << v.value << ' ' << std::setw( v.width ) << v.error;

  return os;
}

#endif /* VALUEERROR_H_LOADED */

// Local Variables:
// mode: c++
// End:
